<?php

namespace Database\Factories;

use App\Models\Invoice;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class InvoiceFactory extends Factory
{
    protected $model = Invoice::class;

    public function definition(): array
    {
        return [
            'created_at' => Carbon::now(),
            'gst'        => true,
            'pst'        => $this->faker->boolean(25),
            'updated_at' => Carbon::now(),
        ];
    }
}
