<?php

namespace Database\Seeders;

use App\Models\Order;
use App\Models\ProductService;
use Illuminate\Database\Seeder;

class ProductServiceSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        foreach (Order::all() as $order) {
            ProductService::factory(rand(1, 4), ['order_id' => $order->id])->create();
        }
    }
}
